Subject: Re: bug#31704: 26.1; tramp-remote-path/shell: broken executable completion

From: Michael Albinus <[email-masked]>
Date: Tue, 05 Jun 2018 11:58:37 +0200

xristos <[email-masked]> writes:

Hi,

> The issue lies in shell--command-completion-data which is called
> by shell-command-completion, it only checks directories in
> exec-path (local) rather than tramp-remote-path. This bug also
> leaks the local exec-path to the remote server.

I have been bitten several times over the last years by this
problem. Not enough energy to track it down.

I will take your bug report as motivation to give it a try for
fixing. Likely not Just Now, but next time, somehow. I fear, there's no
simple solution.

Best regards, Michael.